/*
 * @Author: WuWei
 * @Date: 2020-06-01 15:41:01
 * @LastEditors: WuWei
 * @LastEditTime: 2020-06-01 15:43:04
 * @Description:
 */

class SearchResidentWechatModel {
  String? headPortrait;
  String? nickname;
  String? thirdpartyName;

  SearchResidentWechatModel({
    this.headPortrait,
    this.nickname,
    this.thirdpartyName,
  });

  SearchResidentWechatModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    headPortrait = map['headPortrait'];
    nickname = map['nickname'];
    thirdpartyName = map['thirdpartyName'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['headPortrait'] = this.headPortrait;
    json['nickname'] = this.nickname;
    json['thirdpartyName'] = this.thirdpartyName;

    return json;
  }
}
